#utf-8

from lib.socket.service.AutoCarTimerService import AutoCarTimerService


def startSimulaterService():
    autoCarObj = AutoCarTimerService()
    autoCarObj.setHost("10.100.12.32")                  # 设置主机地址
    autoCarObj.setPort(9008)                            # 设置端口号
    autoCarObj.setCarId("M202003060520")                #设置车机号
    autoCarObj.setSendDur(1)                            # 设置发送消息的间隔时间
    autoCarObj.setTimeout(30)                           # 设置socket超时时间
    autoCarObj.setOilExpend(10)                         # 设置1L 油跑多少公里
    autoCarObj.setSpeed(80)                             #设置车速，每小时多少公里

    '''
    如果年、月、日、时、分、秒都设置为0，则代表永远不会有模拟汽车行驶
    如果想要每小时的25分自动执行一次轨迹行驶，则设置：year=0,month=0,day=0,hour=0,minute=25,second=0
    如果想要每天的9点自动执行一次轨迹行驶，则设置：year=0,month=0,day=0,hour=9,minute=0,second=0
     如果想要每天的9点30自动执行一次轨迹行驶，则设置：year=0,month=0,day=0,hour=9,minute=30,second=0
    '''
    autoCarObj.startService(year=0,month=0,day=0,hour=0,minute=0,second=2)

if __name__ == "__main__":
    startSimulaterService()




